Please merge reportbug 3.48 from Debian unstable (main)

Bug #314556 reported by Iain Lane on 2009-01-06
6
Affects Status Importance Assigned to Milestone
reportbug (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: reportbug

reportbug (3.48ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #xxx), remaining changes:
    - Make reportbug stop working for bts=ubuntu and refer to
      "ubuntu-bug" instead
    - reportbug: exit with an error, if bts=ubuntu (or unconfigured)
    - debian/control: add prominent note to package description

 -- Iain Lane <email address hidden> Tue, 06 Jan 2009 23:24:20 +0000

reportbug (3.48) unstable; urgency=low

  [ Don Armstrong ]
  * Patch to use reportbug.debian.org MX instead of bugs.debian.org; in the same
    change, we set port to 587 for reportbug.d.o to avoid ISP filtering 25 port;
    Closes: #508659

  [ Sandro Tosi ]
  * debian/NEWS
    - added an entry to explain the changes in this version

 -- Sandro Tosi <email address hidden> Sun, 14 Dec 2008 15:39:20 +0100

Related branches

Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :

btw, I wonder if it's best not to die horribly if reportbug is unconfigured, but rather to warn noisily that the bug reports are going to Debian? The current method is rather obstructive IMO.

Steve Stalcup (vorian) wrote :

Iain,

Your last comment could use some discussion on the MOTU/Ubuntu-devel mailing lists. Would you care to submit your idea to these lists?

I will unsubscribe sponsors until a consensus is met.

Thanks for bringing it up :)

Emilio Pozuelo Monfort (pochu) wrote :

Iain,

It's quite easy to pass "--bts=debian", or put it in ~/.reportbugrc. Just a warning is not enough IMHO. People tend to ignore warnings. And so far we haven't get any complaints about it.

Iain Lane (laney) wrote :

Moving back to sponsors queue as people seem happy with this.

Changed in reportbug:
status: New → Confirmed
Daniel Hahler (blueyed) wrote :

Unsubscribing sponsors: Debian has 3.99.1 (in experimental), which should probably get merged instead.

Iain Lane (laney) wrote :

Maybe it will. But what's the point of throwing this merge away? Unless someone steps up to do the other one, there are no guarantees that it will happen. I guess I don't understand why both can't be done.

Iain Lane (laney) wrote :

I am uploading as it does not look like the new reportbug is going to get in. Even if it does, it's not a problem.

Changed in reportbug:
importance: Undecided → Wishlist
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package reportbug - 3.48ubuntu1

---------------
reportbug (3.48ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #314556), remaining changes:
    - Make reportbug stop working for bts=ubuntu and refer to
      "ubuntu-bug" instead
    - reportbug: exit with an error, if bts=ubuntu (or unconfigured)
    - debian/control: add prominent note to package description

 -- Iain Lane <email address hidden> Tue, 06 Jan 2009 23:24:20 +0000

Changed in reportbug:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers